> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Associate CRM objects

> This endpoint is used to associate two CRM objects. Use case for this endpoint: You can use this endpoint to associate a ticket with a contact or to associate a line item with a deal. See all possible associations on the CRM Associations Overview. If you need to make multiple associations (either to the same object or across multiple objects) you can use the batch associations endpoint.



## OpenAPI

````yaml specs/legacy/v1/crm-associations-v1.json PUT /crm-associations/v1/associations
openapi: 3.0.0
info:
  title: CRM Associations API v1
  version: 1.0.0
  description: Legacy CRM Associations API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-associations/v1/associations:
    put:
      summary: Associate CRM objects
      description: >-
        This endpoint is used to associate two CRM objects. Use case for this
        endpoint: You can use this endpoint to associate a ticket with a contact
        or to associate a line item with a deal. See all possible associations
        on the CRM Associations Overview. If you need to make multiple
        associations (either to the same object or across multiple objects) you
        can use the batch associations endpoint.
      operationId: putcrmassociationsv1associations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - fromObjectId
                - toObjectId
                - category
                - definitionId
              properties:
                fromObjectId:
                  type: string
                  description: The ID of the object being associated.
                toObjectId:
                  type: string
                  description: >-
                    The ID of the object the from object is being associated
                    with.
                category:
                  type: string
                  description: >-
                    The category of the association. Currently this must be
                    "HUBSPOT_DEFINED"
                definitionId:
                  type: string
                  description: >-
                    The ID of the association definition. See the [table on the
                    overview
                    page](https://developers.hubspot.com/docs/guides/api/crm/associations/associations-v4)
                    for a list of these IDs.
      responses:
        '200':
          description: >-
            Successful response - This endpoint is used to associate two CRM
            objects
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Associate CRM objects - Example 1
                  value:
                    fromObjectId: 496346
                    toObjectId: 176602
                    category: HUBSPOT_DEFINED
                    definitionId: 15

````